package com.rv.home.rv.module.ui.main.home.bean;

import java.util.List;

/**
 * Desc:租车订单价格明细
 */

public class OrderCarPriceDetailBean {

    /**
     * key : 费用明细
     * val :
     * children : [{"key":"车辆租赁费","detail":"￥35000.01/天×2天","val":"￥70000.02"},{"key":"专职司机服务费","detail":"￥600.00×1人×2天","val":"￥1200.00"},{"key":"租房车押金","detail":"","val":"￥20000.00"}]
     */

    private String key;
    private String val;
    private List<ChildrenBean> children;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getVal() {
        return val;
    }

    public void setVal(String val) {
        this.val = val;
    }

    public List<ChildrenBean> getChildren() {
        return children;
    }

    public void setChildren(List<ChildrenBean> children) {
        this.children = children;
    }

    public static class ChildrenBean {
        /**
         * key : 车辆租赁费
         * detail : ￥35000.01/天×2天
         * val : ￥70000.02
         */

        private String key;
        private String detail;
        private String val;
        private boolean isDayPrice;
        private List<OrderCarPriceBean> dataBean;

        public String getKey() {
            return key;
        }

        public void setKey(String key) {
            this.key = key;
        }

        public String getDetail() {
            return detail;
        }

        public void setDetail(String detail) {
            this.detail = detail;
        }

        public String getVal() {
            return val;
        }

        public void setVal(String val) {
            this.val = val;
        }

        public boolean isDayPrice() {
            return isDayPrice;
        }

        public void setDayPrice(boolean dayPrice) {
            isDayPrice = dayPrice;
        }

        public List<OrderCarPriceBean> getDataBean() {
            return dataBean;
        }

        public void setDataBean(List<OrderCarPriceBean> dataBean) {
            this.dataBean = dataBean;
        }
    }
}
